Package tigase.stats

# Class JavaJMXProxyOpt

java.lang.Object
tigase.stats.JavaJMXProxyOpt

All Implemented Interfaces:
  `EventListener`, `NotificationListener`

public class JavaJMXProxyOpt extends Object implements NotificationListener

Author:
  Artur Hefczyc Created Jun 3, 2011

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaJMXProxyOpt(String id, String hostname, int port, String userName, String password, long delay, long interval, boolean loadHistory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addJMXProxyListener(JMXProxyListenerOpt listener)`
  `void`
  `connect()`
  `Map<String,String>`
  `getAllStats(int level)`
  `List<String>`
  `getComponentsNames()`
  `Map<String,String>`
  `getComponentStats(String compName, int level)`
  `String`
  `getHostname()`
  `String`
  `getId()`
  `Object`
  `getMetricData(String key)`
  `Object[]`
  `getMetricHistory(String key)`
  `String`
  `getSystemDetails()`
  `void`
  `handleNotification(Notification notification, Object handback)`
  `boolean`
  `isConnected()`
  `boolean`
  `isInitialized()`
  `void`
  `start()`
  `void`
  `update()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaJMXProxyOpt

    public JavaJMXProxyOpt(String id, String hostname, int port, String userName, String password, long delay, long interval, boolean loadHistory)

- ## Method Details

  - ### addJMXProxyListener

    public void addJMXProxyListener(JMXProxyListenerOpt listener)

  - ### connect

    public void connect() throws Exception
    Throws:
      `Exception`

  - ### handleNotification

    public void handleNotification(Notification notification, Object handback)
    Specified by:
      `handleNotification` in interface `NotificationListener`

  - ### start

    public void start()

  - ### update

    public void update()

  - ### getAllStats

    public Map<String,String> getAllStats(int level)

  - ### getComponentsNames

    public List<String> getComponentsNames()

  - ### getComponentStats

    public Map<String,String> getComponentStats(String compName, int level)

  - ### getHostname

    public String getHostname()

  - ### getId

    public String getId()

  - ### getMetricData

    public Object getMetricData(String key)

  - ### getMetricHistory

    public Object[] getMetricHistory(String key)

  - ### getSystemDetails

    public String getSystemDetails()

  - ### isConnected

    public boolean isConnected()

  - ### isInitialized

    public boolean isInitialized()